# Class SearchTextExtension

java.lang.Object
org.apache.jmeter.visualizers.SearchTextExtension

All Implemented Interfaces:
  `ActionListener, EventListener, DocumentListener`

public class SearchTextExtension extends Object implements ActionListener, DocumentListener

## Constructor Summary

Constructors
Constructor
Description
`SearchTextExtension()`

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent e)`
Display the response as text or as rendered HTML.
`void`
`changedUpdate(DocumentEvent e)`
`void`
`init(JPanel resultsPane)`
`void`
`insertUpdate(DocumentEvent e)`
`void`
`removeUpdate(DocumentEvent e)`
`void`
`setResults(JEditorPane results)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SearchTextExtension

public SearchTextExtension()

## Method Details

### init

public void init(JPanel resultsPane)

### setResults

public void setResults(JEditorPane results)

### actionPerformed

public void actionPerformed(ActionEvent e)
Display the response as text or as rendered HTML. Change the text on the button appropriate to the current display.

Specified by:
  `actionPerformed` in interface `ActionListener`
Parameters:
  `e` - the ActionEvent being processed

### changedUpdate

public void changedUpdate(DocumentEvent e)

Specified by:
  `changedUpdate` in interface `DocumentListener`

### insertUpdate

public void insertUpdate(DocumentEvent e)

Specified by:
  `insertUpdate` in interface `DocumentListener`

### removeUpdate

public void removeUpdate(DocumentEvent e)

Specified by:
  `removeUpdate` in interface `DocumentListener`